# class Shell::Concat

### Public Class Methods

new(sh, *jobs) click to toggle source
Calls superclass method

    # File lib/shell/builtin-command.rb, line 136
    def initialize(sh, *jobs)
      super(sh)
      @jobs = jobs
    end

### Public Instance Methods

each(rs = nil) { |l| ... } click to toggle source

    # File lib/shell/builtin-command.rb, line 141
    def each(rs = nil)
      while job = @jobs.shift
        job.each{|l| yield l}
      end
    end